## syncmaildir 1.0.0

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,21 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=0.9.11
+VERSION=1.0.0
 BINARIES=mddiff smd-applet
 MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
-HTML=index.html design.html
+HTML=index.html design.html hooks.html
 DESTDIR=
 SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
-SF_LOGIN=gareuselesinge,syncmaildir
+SF_LOGIN=$(SF_USER),syncmaildir
 SF_WEB=htdocs
+TEST_SIZE=100
+TEST_MAILBOX=misc/Mail.TEST.tgz
+TEST_SUITES=mddiff client-server pull-push
+BENCH_SIZE=25000
+BENCH_MAILBOX=misc/Mail.BENCH.tgz
+BENCH_SUITES=benchmarks
 
 # ----------------------------------------------------------------------------
 # These variables affect the programs behaviour and their installation;
@@ -22,7 +28,8 @@
 SED=sed
 SHA1SUM=sha1sum
 XDELTA=xdelta
-CPN=cp -n
+MKFIFO=mkfifo
+MKDIR=mkdir -p
 SSH=ssh
 LUAV=5.1
 LUA=lua$(LUAV)
@@ -56,21 +63,32 @@
 check-w-%:
 	@which $* > /dev/null || echo $* not found
 
-test: all check-run misc/Mail.testcase.tgz
-	@tests.d/test.sh $T
-	@tests.d/check.sh
-	@rm -rf test.[0-9]*/
-
-misc/Mail.testcase.tgz: 
+test/%: text/all check-run $(TEST_MAILBOX)
+	@SUITES="$*" tests.d/test.sh $(TEST_MAILBOX) 
+
+test: text/all check-run $(TEST_MAILBOX)
+	@SUITES="$(TEST_SUITES)" tests.d/test.sh \
+		$(TEST_MAILBOX) $(addprefix $(shell pwd)/,$T)
+
+bench: text/all check-run $(BENCH_MAILBOX)
+	@SUITES="$(BENCH_SUITES)" tests.d/test.sh \
+		$(BENCH_MAILBOX) $(addprefix $(shell pwd)/,$T)
+
+misc/Mail.%.tgz:
 	$(MAKE) check-w-polygen
+	rm -rf Mail 
 	mkdir -p Mail/cur
-	for i in `seq 100`; do \
-		echo "Subject: `polygen /usr/share/polygen/eng/manager.grm`"\
-			>> Mail/cur/$$i; \
-		echo "Message-Id: $$i" >> Mail/cur/$$i; \
-		echo >> Mail/cur/$$i;\
-		polygen -X 10 /usr/share/polygen/eng/manager.grm\
-	       		>> Mail/cur/$$i;\
+	namea=Mail/cur/`date +%s`.$$$$;\
+	nameb=`hostname`;\
+	date=`date`;\
+	for i in `seq $$core $($*_SIZE) $$CORES`; do \
+		name=$${namea}_$$i.$$nameb;\
+		echo "Subject: foo-subject $$i" >> $$name; \
+		echo "Message-Id: $$i" >> $$name; \
+		echo "Date: $$date" >> $$name; \
+		echo "X-Foo: foo.foo.com" >> $$name; \
+		echo >> $$name;\
+		polygen -X 10 /usr/share/polygen/eng/manager.grm >> $$name;\
 	done
 	tar -czf $@ Mail
 	rm -rf Mail
@@ -84,8 +102,10 @@
 		$(SED) 's?@SED@?$(SED)?'  |\
 		$(SED) 's?@SHA1SUM@?$(SHA1SUM)?' |\
 		$(SED) 's?@XDELTA@?$(XDELTA)?' |\
-		$(SED) 's?@CPN@?$(CPN)?' |\
+		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
+		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
+		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
 	if [ $(2) = "bin" ]; then chmod a+rx $(DESTDIR)/$(PREFIX)/$(2)/$(1); fi
@@ -124,21 +144,20 @@
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
 	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1
+	$(call mkdir-p,share/doc/syncmaildir)
+	cp -r sample-hooks/ $(DESTDIR)/$(PREFIX)/share/doc/syncmaildir
+	$(call install,README,share/doc/syncmaildir)
 
 clean: 
-	rm -rf $(BINARIES) $(MANPAGES)
-	rm -rf test.[0-9]*/ 
-	rm -rf $(PROJECTNAME)-$(VERSION)/ $(PROJECTNAME)-$(VERSION).tar.gz
+	rm -f $(BINARIES) $(MANPAGES)
+	rm -rf tests.d/run
+	rm -f $(PROJECTNAME)-$(VERSION).tar.gz
 	rm -f $(HTML)
 	rm -f config.vala
 
 dist $(PROJECTNAME)-$(VERSION).tar.gz:
-	$(MAKE) clean
-	mkdir $(PROJECTNAME)-$(VERSION)
-	for X in *; do if [ $$X != $(PROJECTNAME)-$(VERSION) ]; then \
-		cp -r $$X $(PROJECTNAME)-$(VERSION); fi; done;
-	tar -cvzf $(PROJECTNAME)-$(VERSION).tar.gz $(PROJECTNAME)-$(VERSION)
-	rm -rf $(PROJECTNAME)-$(VERSION)
+	git archive --format=tar --prefix=$(PROJECTNAME)-$(VERSION)/ HEAD |\
+		gzip -9 > $(PROJECTNAME)-$(VERSION).tar.gz
 
 $(HTML): check-w-markdown
 	cat misc/head.html > index.html
@@ -147,12 +166,17 @@
 	cat misc/head.html > design.html
 	markdown DESIGN >> design.html
 	cat misc/tail.html >> design.html
+	cat misc/head.html > hooks.html
+	grep -h '^##' sample-hooks/* | sed 's/^## \?//' | markdown >> hooks.html
+	cat misc/tail.html >> hooks.html
 
 upload-website: $(HTML)
 	scp $(HTML) misc/style.css $(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
 
-upload-tarball: $(PROJECTNAME)-$(VERSION).tar.gz
-	scp $< $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
+upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
+	scp $(PROJECTNAME)-$(VERSION).tar.gz \
+	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
+	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/ChangeLog
 
 
 # ----------------------------------------------------------------------------
@@ -174,6 +198,11 @@
 		PKG_FLAGS="$(PKG_FLAGS) --static "
 
 osx/%:
-	$(MAKE) $* SED=sed CPN=cp 
+	$(MAKE) $* SED=sed 
+
+abspath/%:
+	$(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
+		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p'
 
 # eof
