=== debian/changelog ===
syncmaildir (1.0.0-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 15 Jun 2010 20:27:26 +0200

syncmaildir (0.9.16-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 12 Apr 2010 17:18:59 +0200

syncmaildir (0.9.15-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 23 Mar 2010 17:35:19 +0100

syncmaildir (0.9.14-1) unstable; urgency=low

  * Bumped standards-version to 3.8.4, not changes
  * New Upstream release, adding support for user defined hooks

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 12 Mar 2010 15:44:10 +0100

syncmaildir (0.9.13-1) unstable; urgency=low

  * New upstream release fixing a nasty bug

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 02 Mar 2010 17:54:26 +0100

syncmaildir (0.9.12-2) unstable; urgency=low

  * Build depend on moreutils >= 0.38, that support kFreeBSD

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 10 Feb 2010 10:50:10 +0100

syncmaildir (0.9.12-1) unstable; urgency=low

  * New upstream release
  * We use the abspath/ template for building: external utils are
    then executed with absolute paths

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 27 Dec 2009 13:34:45 +0100

syncmaildir (0.9.11-2) unstable; urgency=low

  * Moved to source format 3.0 (quilt) 
  * Moved to dh 
  * Run tests after building the package, thus lua5.1, xdelta and moreutils
    are build dependencies

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 03 Dec 2009 23:05:54 +0100

syncmaildir (0.9.11-1) unstable; urgency=low

  * New upstream release 
  * Bumped standards-version to 3.8.3, no changes 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Nov 2009 23:52:20 +0100

syncmaildir (0.9.10-1) unstable; urgency=low

  *  New upsream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Oct 2009 23:13:05 +0200

syncmaildir (0.9.9-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 27 Sep 2009 19:07:08 +0200

syncmaildir (0.9.8-1) unstable; urgency=low

  * New Upstream Version

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 16 Aug 2009 23:05:27 +0200

syncmaildir (0.9.7-1) unstable; urgency=low

  * New upstream minor bugfix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 26 Jul 2009 18:56:41 +0200

syncmaildir (0.9.6-1) unstable; urgency=low

  * New Upstream Version
  * new binary package syncmaildir-applet
  * updated standards-version to 3.8.2, no changes
  * added gtk, libnotify, and gconf2 as build-depends 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 26 Jul 2009 17:38:46 +0200

syncmaildir (0.9.5-1) unstable; urgency=low

  * New Upstream Version
  * Improved description, thanks to Zack and Dato for their comments

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 28 Apr 2009 16:27:48 +0200

syncmaildir (0.9.3-1) unstable; urgency=low

  * New Upstream Version
  * Add watch file
  * Add pkg-config to build-depends

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 21 Apr 2009 21:35:48 +0200

syncmaildir (0.9.2-2) unstable; urgency=low

  * Added txt2man to build-depends, thanks Andreas Tille for reporting it 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 20 Apr 2009 13:26:05 +0200

syncmaildir (0.9.2-1) unstable; urgency=low

  * Initial release. (Closes: #524834)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Apr 2009 23:11:03 +0200
