=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

# I think this makes the application more robust in face of badly set
# PATH, since external programs are looked up with absolute paths. 
# On the contrary, it is less hackable by who knows what he is doing.
FLAVOUR=abspath/

override_dh_auto_build:
	$(MAKE) $(FLAVOUR)all PREFIX=usr
	
override_dh_auto_install:
	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr

override_dh_auto_test:
	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test
