=== debian/changelog ===
syncmaildir (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Bumped standards-version to 3.9.1, no changes 
  * Removed build-dependency on valac, the upstream ships precompiled c files
  * Pass PREFIX to "make test" too so that mddif does not get recompiled

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 Mar 2011 10:53:56 +0100
