=== debian/changelog ===
syncmaildir (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 24 Jul 2011 17:28:58 +0200

syncmaildir (1.1.5-1) unstable; urgency=low

  * New upstream release
  * Updated build-depends to gtk-3-dev 
  * Updated build-depends to libnotyfy4 (>= 0.7.0)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 03 Jul 2011 21:19:38 +0200
