=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: mail
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk2.0-dev, libnotify-dev, libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
+Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
 Standards-Version: 3.9.1
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
