=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 FLAVOUR=abspath/
 
 override_dh_auto_build:
-	$(MAKE) $(FLAVOUR)all PREFIX=usr
+	$(MAKE) $(FLAVOUR)all PREFIX=usr H=
 	
 override_dh_auto_install:
-	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr
+	$(MAKE) $(FLAVOUR)install DESTDIR=debian/tmp PREFIX=usr H=
 
 override_dh_auto_test:
-	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test
+	VALGRIND=" " $(MAKE) --no-print-directory $(FLAVOUR)test PREFIX=usr H=
