## syncmaildir 1.2.1

=== Makefile ===
--- 
+++ 
@@ -3,10 +3,12 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.1.6
+VERSION=1.2.1
 BINARIES=mddiff smd-applet
-MANPAGES=mddiff.1 smd-server.1 smd-client.1 \
-	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1
+MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
+	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
+	 smd-check-conf.1
+MANPAGES5=smd-config.5
 HTML=index.html design.html hooks.html
 DESTDIR=
 SF_FRS=/home/frs/project/s/sy/syncmaildir/syncmaildir
@@ -19,11 +21,12 @@
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
+SMD_APPLET_C=smd-applet.c 
 PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
 MIN_GLIB_VERSION=2.19.1
 PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
-VALAC=valac-0.12
+VALAC=valac-0.14
 H=@
 
 # ----------------------------------------------------------------------------
@@ -38,6 +41,7 @@
 MKFIFO=mkfifo
 MKDIR=mkdir -p
 SSH=ssh
+LN=ln -s
 LUAV=5.1
 LUA=lua$(LUAV)
 CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
@@ -81,7 +85,7 @@
 	$H $(CC) $(CFLAGS) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
 
-smd-applet: smd-applet.c smd-config.h
+smd-applet: $(SMD_APPLET_C) smd-config.h
 	@echo CC $<
 	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
 		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
@@ -103,7 +107,7 @@
 
 test: text/all check-run $(TEST_MAILBOX)
 	$H SUITES="$(TEST_SUITES)" tests.d/test.sh \
-		$(TEST_MAILBOX) $(addprefix $(shell pwd)/,$T)
+		$(TEST_MAILBOX) $(if $(T),$(addprefix $(shell pwd)/,tests.d/$T))
 
 bench: text/all check-run $(BENCH_MAILBOX)
 	$H SUITES="$(BENCH_SUITES)" tests.d/test.sh \
@@ -130,6 +134,8 @@
 
 %.1:%.1.txt check-w-txt2man
 	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 1 $< > $@
+%.5:%.5.txt check-w-txt2man
+	txt2man -t $* -v "Sync Mail Dir (smd) documentation" -s 5 $< > $@
 
 define install-replacing
 	cat $(1) |\
@@ -140,6 +146,7 @@
 		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
 		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
+		$(SED) 's?@LN@?$(LN)?' |\
 		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
@@ -167,27 +174,32 @@
 	$(call install-replacing,smd-client,bin)
 	$(call install-replacing,smd-pull,bin)
 	$(call install-replacing,smd-push,bin)
+	$(call install-replacing,smd-translate,bin)
+	$(call install-replacing,smd-check-conf,bin)
 	$(call install-replacing,smd-loop,bin)
 	$(call install-replacing,smd-common,share/$(PROJECTNAME))
 	$(call install-replacing,syncmaildir.lua,share/lua/$(LUAV))
 
-install-misc: $(MANPAGES)
+install-misc: $(MANPAGES1) $(MANPAGES5)
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
 	cp smd-applet.desktop $(DESTDIR)/etc/xdg/autostart
 	$(call mkdir-p,share/applications)
 	$(call install,smd-applet-configure.desktop,share/applications)
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
-	cp $(MANPAGES) $(DESTDIR)/$(PREFIX)/share/man/man1
+	$(call mkdir-p,share/man/man5)
+	cp $(MANPAGES1) $(DESTDIR)/$(PREFIX)/share/man/man1
+	cp $(MANPAGES5) $(DESTDIR)/$(PREFIX)/share/man/man5
 	$(call mkdir-p,share/doc/syncmaildir)
 	cp -r sample-hooks/ $(DESTDIR)/$(PREFIX)/share/doc/syncmaildir
 	$(call install,README,share/doc/syncmaildir)
 
 clean: 
-	$H rm -f $(BINARIES) $(MANPAGES)
+	$H rm -f $(BINARIES) $(MANPAGES1) $(MANPAGES5)
 	$H rm -rf tests.d/run
 	$H rm -f $(PROJECTNAME)-$(VERSION).tar.gz
-	$H rm -f $(HTML)
+	$H rm -f $(HTML) $(MANPAGES1:=.html) $(MANPAGES5:=.html)
+	$H rm -f misc/smd-applet-1.0.0.c
 
 dist $(PROJECTNAME)-$(VERSION).tar.gz: smd-applet.c
 	rm -f $(PROJECTNAME)-$(VERSION).tar.gz
@@ -212,14 +224,29 @@
 	grep -h '^##' sample-hooks/* | sed 's/^## \?//' | markdown >> hooks.html
 	cat misc/tail.html >> hooks.html
 
-upload-website: $(HTML)
-	scp $(HTML) misc/style.css $(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
+%.html:%.txt
+	cat misc/head.html > $@
+	echo '<pre>' >> $@
+	cat $< | sed -e '/^AUTHOR/,$$d' >> $@
+	echo '</pre>' >> $@
+	cat misc/tail.html >> $@
+
+upload-website: $(HTML) $(MANPAGES1:%=%.html) $(MANPAGES5:%=%.html)
+	scp $? misc/style.css \
+		$(SF_LOGIN)@web.sourceforge.net:$(SF_WEB)
 
 upload-tarball-and-changelog: $(PROJECTNAME)-$(VERSION).tar.gz
 	scp $(PROJECTNAME)-$(VERSION).tar.gz \
 	       	$(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/$<
 	scp ChangeLog $(SF_LOGIN)@frs.sourceforge.net:$(SF_FRS)/README
 
+stats:
+	T=`git tag | sort -V | head -n 1`; \
+	for V in `git tag | sort -V | tail -n +2`; do \
+		echo $$V; \
+		git diff $$T $$V | diffstat -s; T=$$V; \
+	done;\
+	git diff --no-prefix $$V HEAD | diffstat -C
 
 # ----------------------------------------------------------------------------
 # These templates collect standard values for known platforms, like osx.
@@ -230,25 +257,31 @@
 #   make osx/text/all && make osx/text/install
 
 text/%:
-	$(MAKE) $* \
+	$H $(MAKE) $* \
 		BINARIES="$(subst smd-applet,,$(BINARIES))" \
-		MANPAGES="$(subst smd-applet.1,,$(MANPAGES))" \
-		PREFIX="$(PREFIX)"
+		MANPAGES1="$(subst smd-applet.1,,$(MANPAGES1))" \
+		PREFIX="$(PREFIX)" VALAC=ls H=$H
 
 static/%:
-	$(MAKE) $* \
+	$H $(MAKE) $* \
 		CFLAGS="$(CFLAGS) -static " \
 		PKG_FLAGS="$(PKG_FLAGS) --static " \
-		PREFIX="$(PREFIX)"
+		PREFIX="$(PREFIX)" H=$H
+
+gnome2/%:
+	$H gunzip -c misc/smd-applet-1.0.0.c.gz > misc/smd-applet-1.0.0.c
+	$H $(MAKE) $* \
+		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0
+
 
 osx/%:
-	$(MAKE) $* SED=sed PREFIX="$(PREFIX)"
+	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
 
 abspath/%:
-	$(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+	$H $(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
 		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p' \
-		PREFIX="$(PREFIX)"
+		LN='/bin/ln -s' PREFIX="$(PREFIX)" H=$H
 
 .PHONY : update-smd-config
 # eof
