=== debian/changelog ===
syncmaildir (1.2.1-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 10 Sep 2011 16:15:51 +0200

syncmaildir (1.2.0-1) unstable; urgency=low

  * New upstream release supporting folder renaming

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 07 Sep 2011 11:02:36 +0200
