## syncmaildir 1.2.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,8 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.1
+VERSION=1.2.2
+COPYRIGHT=© 2008-2011 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
@@ -36,12 +37,8 @@
 
 PREFIX=usr/local
 SED=sed
-SHA1SUM=sha1sum
 XDELTA=xdelta
-MKFIFO=mkfifo
-MKDIR=mkdir -p
 SSH=ssh
-LN=ln -s
 LUAV=5.1
 LUA=lua$(LUAV)
 CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
@@ -56,6 +53,8 @@
 update-smd-config:
 	$H echo "#define SMD_CONF_PREFIX \"/$(PREFIX)\"" > smd-config.h.new
 	$H echo "#define SMD_CONF_VERSION \"$(VERSION)\"" >> smd-config.h.new
+	$H echo "#define SMD_CONF_COPYRIGHT \"$(COPYRIGHT)\"" \
+		>> smd-config.h.new
 	$H if diff -q smd-config.h smd-config.h.new > /dev/null 2>&1; then \
 		rm smd-config.h.new; \
 	else \
@@ -141,12 +140,8 @@
 	cat $(1) |\
 		$(SED) 's?@PREFIX@?/$(PREFIX)?' |\
 		$(SED) 's?@SED@?$(SED)?'  |\
-		$(SED) 's?@SHA1SUM@?$(SHA1SUM)?' |\
 		$(SED) 's?@XDELTA@?$(XDELTA)?' |\
-		$(SED) 's?@MKFIFO@?$(MKFIFO)?' |\
-		$(SED) 's?@MKDIR@?$(MKDIR)?' |\
 		$(SED) 's?@SSH@?$(SSH)?' |\
-		$(SED) 's?@LN@?$(LN)?' |\
 		$(SED) 's?@SMDVERSION@?$(VERSION)?' |\
 		$(SED) 's?#! /usr/bin/env lua.*?#! /usr/bin/env $(LUA)?' |\
 		cat > $(DESTDIR)/$(PREFIX)/$(2)/$(1)
@@ -278,10 +273,9 @@
 	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
 
 abspath/%:
-	$H $(MAKE) $* SED=/bin/sed SHA1SUM=/usr/bin/sha1sum \
+	$H $(MAKE) $* SED=/bin/sed \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
-		MKFIFO=/usr/bin/mkfifo MKDIR='/bin/mkdir -p' \
-		LN='/bin/ln -s' PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H
 
 .PHONY : update-smd-config
 # eof
