=== debian/changelog ===
syncmaildir (1.2.2-1ubuntu1) precise; urgency=low

  * Fix FTBFS with libgthread linking.

 -- Allison Randal <allison@canonical.com>  Tue, 13 Dec 2011 07:43:14 +0100

syncmaildir (1.2.2-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 01 Dec 2011 16:17:28 +0100
