## syncmaildir 1.2.5

=== Makefile ===
--- 
+++ 
@@ -3,12 +3,12 @@
 # should care about them
 
 PROJECTNAME=syncmaildir
-VERSION=1.2.2
-COPYRIGHT=© 2008-2011 Enrico Tassi <gares@fettunta.org>
+VERSION=1.2.5
+COPYRIGHT=© 2008-2012 Enrico Tassi <gares@fettunta.org>
 BINARIES=mddiff smd-applet
 MANPAGES1=mddiff.1 smd-server.1 smd-client.1 \
 	 smd-pull.1 smd-push.1 smd-loop.1 smd-applet.1 smd-translate.1 \
-	 smd-check-conf.1
+	 smd-check-conf.1 smd-restricted-shell.1 smd-uniform-names.1
 MANPAGES5=smd-config.5
 HTML=index.html design.html hooks.html
 DESTDIR=
@@ -17,17 +17,17 @@
 SF_WEB=htdocs
 TEST_SIZE=100
 TEST_MAILBOX=misc/Mail.TEST.tgz
-TEST_SUITES=mddiff client-server pull-push
+TEST_SUITES=mddiff client-server pull-push migration
 BENCH_SIZE=25000
 BENCH_MAILBOX=misc/Mail.BENCH.tgz
 BENCH_SUITES=benchmarks
 PKG_GTK=gtk+-3.0 
 SMD_APPLET_C=smd-applet.c 
 PKGS_VALA=glib-2.0 $(PKG_GTK) libnotify gconf-2.0 gee-1.0 gio-2.0
-MIN_GLIB_VERSION=2.19.1
-PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(MIN_GLIB_VERSION) glib-2.0
+TARGET_GLIB=2.32
+PKGCONFIG_CHECK_GLIB_VERSION=--atleast-version=$(TARGET_GLIB) glib-2.0
 PKGCONFIG_GLIB_VERSION=--modversion glib-2.0
-VALAC=valac-0.14
+VALAC=valac-0.16
 H=@
 
 # ----------------------------------------------------------------------------
@@ -41,8 +41,7 @@
 SSH=ssh
 LUAV=5.1
 LUA=lua$(LUAV)
-CFLAGS=-O2 -Wall -Wextra -Wcast-align -g -I .
-CFLAGS_VALA=-O2 -w -g -I . 
+CFLAGS=-O2 -Wall -Wextra -Wcast-align -g
 PKG_FLAGS=
 
 # ----------------------------------------------------------------------------
@@ -66,6 +65,7 @@
 	$H if which $(VALAC) >/dev/null; then \
 		echo "VALAC $^"; \
 		$(VALAC) -C $^ --thread --vapidir=./ \
+			--target-glib=$(TARGET_GLIB) \
 			--pkg posix $(patsubst %,--pkg %,$(PKGS_VALA)); \
 	elif [ -e smd-applet.c ]; then \
 		echo "** No $(VALAC), reusing precompiled .c files"; \
@@ -82,18 +82,19 @@
 mddiff: mddiff.c smd-config.h
 	@echo CC $<
 	$H $(CC) $(CFLAGS) $< -o $@ \
-		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` 
+		`pkg-config $(PKG_FLAGS) --cflags --libs glib-2.0` $(LDFLAGS)
 
 smd-applet: $(SMD_APPLET_C) smd-config.h
 	@echo CC $<
-	$H $(CC) $(CFLAGS_VALA) $< -o $@ \
-		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)`
+	$H $(CC) $(CFLAGS) -w $< -o $@ \
+		`pkg-config $(PKG_FLAGS) --cflags --libs $(PKGS_VALA)` \
+		$(LDFLAGS)
 
 check-build: check-w-gcc check-w-$(VALAC)
 	$H pkg-config $(PKGCONFIG_CHECK_GLIB_VERSION) || \
 		(echo glib version too old: \
 			`pkg-config $(PKGCONFIG_GLIB_VERSION)`; \
-		 echo required version: $(MIN_GLIB_VERSION); \
+		 echo required version: $(TARGET_GLIB); \
 		 false)
 
 check-run: check-w-$(LUA) check-w-bash 
@@ -171,15 +172,17 @@
 	$(call install-replacing,smd-push,bin)
 	$(call install-replacing,smd-translate,bin)
 	$(call install-replacing,smd-check-conf,bin)
+	$(call install-replacing,smd-uniform-names,bin)
+	$(call install-replacing,smd-restricted-shell,bin)
 	$(call install-replacing,smd-loop,bin)
 	$(call install-replacing,smd-common,share/$(PROJECTNAME))
 	$(call install-replacing,syncmaildir.lua,share/lua/$(LUAV))
 
 install-misc: $(MANPAGES1) $(MANPAGES5)
 	mkdir -p $(DESTDIR)/etc/xdg/autostart
-	cp smd-applet.desktop $(DESTDIR)/etc/xdg/autostart
 	$(call mkdir-p,share/applications)
 	$(call install,smd-applet-configure.desktop,share/applications)
+	$(call install,smd-applet.desktop,share/applications)
 	$(call install,smd-applet.ui,share/$(PROJECTNAME)-applet)
 	$(call mkdir-p,share/man/man1)
 	$(call mkdir-p,share/man/man5)
@@ -255,27 +258,31 @@
 	$H $(MAKE) $* \
 		BINARIES="$(subst smd-applet,,$(BINARIES))" \
 		MANPAGES1="$(subst smd-applet.1,,$(MANPAGES1))" \
-		PREFIX="$(PREFIX)" VALAC=ls H=$H
+		PREFIX="$(PREFIX)" VALAC=ls H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 static/%:
 	$H $(MAKE) $* \
 		CFLAGS="$(CFLAGS) -static " \
 		PKG_FLAGS="$(PKG_FLAGS) --static " \
-		PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H LDFLAGS="$(LDFLAGS)"
 
 gnome2/%:
 	$H gunzip -c misc/smd-applet-1.0.0.c.gz > misc/smd-applet-1.0.0.c
 	$H $(MAKE) $* \
-		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0
+		SMD_APPLET_C=misc/smd-applet-1.0.0.c PKG_GTK=gtk+-2.0 \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" TARGET_GLIB="2.19.1"
 
 
 osx/%:
-	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H
+	$H $(MAKE) $* SED=sed PREFIX="$(PREFIX)" H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 abspath/%:
 	$H $(MAKE) $* SED=/bin/sed \
 		XDELTA=/usr/bin/xdelta SSH=/usr/bin/ssh \
-		PREFIX="$(PREFIX)" H=$H
+		PREFIX="$(PREFIX)" H=$H \
+		CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 .PHONY : update-smd-config
 # eof
