=== debian/changelog ===
syncmaildir (1.2.5-2) unstable; urgency=low

  * Fix FTBFS (Closes: #713648) linking to gthread2 explicitly

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 23 Jun 2013 19:47:23 +0200

syncmaildir (1.2.5-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 12:15:44 +0200

syncmaildir (1.2.4-1) unstable; urgency=low

  * New upstream release
  * NEWS.Debian announces that smd-applet is able to handle XDG compliant
    autostrat in user's session (no more system wide)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 28 May 2012 19:39:23 +0200

syncmaildir (1.2.3-1) unstable; urgency=low

  * New upstream release including the new utility smd-restricted-shell to
    be used in conjunction with .ssh/authorized_keys command option
  * This version of the software emits progress reports when run in verbose
    mode (Closes: #659263)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 03 Mar 2012 12:55:55 +0100
