=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: syncmaildir
 Section: mail
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Enrico Tassi <gareuselesinge@debian.org>
+Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), txt2man, pkg-config, libglib2.0-dev (>= 2.19.1), libgtk-3-dev, libnotify-dev (>= 0.7), libgconf2-dev, libgee-dev, lua5.1, xdelta, moreutils (>= 0.38)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Vcs-Git: git://git.debian.org/git/collab-maint/syncmaildir.git
 Vcs-Browser:  http://git.debian.org/?p=collab-maint/syncmaildir.git
 Homepage: http://syncmaildir.sourceforge.net
@@ -32,7 +31,7 @@
 
 Package: syncmaildir-applet
 Architecture: any
-Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, libgnome2-0
+Depends: syncmaildir (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: Sync Mail Dir GNOME applet
  Sync Mail Dir is a set of utilities to synchronize a pair of mail boxes
  in Maildir format, using SSH to transfer data.
