=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package syncmaildir
#
version=3
opts="uversionmangle=s/rc$/~rc/" \
  http://sf.net/syncmaildir/syncmaildir-(.+).tar.gz
